Bug 1996914 - Failed to get ImpersonateHeaders TypeError: i.a is undefined
Summary: Failed to get ImpersonateHeaders TypeError: i.a is undefined
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Rohit Rai
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-24 01:41 UTC by Yadan Pei
Modified: 2021-10-18 17:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:48:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9873 0 None None None 2021-08-24 18:39:40 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:48:37 UTC

Description Yadan Pei 2021-08-24 01:41:36 UTC
Description of problem:
When user logins to console, we can see the error as in bug summary 

Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-08-22-070405

How reproducible:
Always

Steps to Reproduce:
1. login to console, refresh browser tab, open browser console and monitor the errors

Actual results:
We can see some warnings 
1. Failed to get ImpersonateHeaders TypeError: i.a is undefined
    u main-chunk-97c63ce3b645f7657dbf.min.js:1
    u main-chunk-97c63ce3b645f7657dbf.min.js:1
    i main-chunk-97c63ce3b645f7657dbf.min.js:1
    i main-chunk-97c63ce3b645f7657dbf.min.js:1
    u main-chunk-97c63ce3b645f7657dbf.min.js:1
    d main-chunk-97c63ce3b645f7657dbf.min.js:1
    b main-chunk-97c63ce3b645f7657dbf.min.js:1
    s main-chunk-97c63ce3b645f7657dbf.min.js:1
    o main-chunk-97c63ce3b645f7657dbf.min.js:1
    o main-chunk-97c63ce3b645f7657dbf.min.js:1
    s main-chunk-97c63ce3b645f7657dbf.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> vendors~main-chunk-2cea29b8d9ab4a14c4e5.min.js:182832
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    d runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    c runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> vendors~main-chunk-2cea29b8d9ab4a14c4e5.min.js:1

The other warning is thrown after 404 Not Found is returned when trying to GET
	https://<console_route>/api/kubernetes/apis/binding.operators.coreos.com/v1alpha1/bindableservices/bindable-services
Error fetching bindable services r: Not Found
    a main-chunk-97c63ce3b645f7657dbf.min.js:1
    r main-chunk-97c63ce3b645f7657dbf.min.js:1
    l main-chunk-97c63ce3b645f7657dbf.min.js:1
    s main-chunk-97c63ce3b645f7657dbf.min.js:1
    s main-chunk-97c63ce3b645f7657dbf.min.js:1
    l main-chunk-97c63ce3b645f7657dbf.min.js:1
    l main-chunk-97c63ce3b645f7657dbf.min.js:1
    promise callback*c main-chunk-97c63ce3b645f7657dbf.min.js:1
    l main-chunk-97c63ce3b645f7657dbf.min.js:1
    i main-chunk-97c63ce3b645f7657dbf.min.js:1
    i main-chunk-97c63ce3b645f7657dbf.min.js:1
    l main-chunk-97c63ce3b645f7657dbf.min.js:1
    u main-chunk-97c63ce3b645f7657dbf.min.js:1
    i main-chunk-97c63ce3b645f7657dbf.min.js:1
    i main-chunk-97c63ce3b645f7657dbf.min.js:1
    u main-chunk-97c63ce3b645f7657dbf.min.js:1
    d main-chunk-97c63ce3b645f7657dbf.min.js:1
    b main-chunk-97c63ce3b645f7657dbf.min.js:1
    s main-chunk-97c63ce3b645f7657dbf.min.js:1
    o main-chunk-97c63ce3b645f7657dbf.min.js:1
    o main-chunk-97c63ce3b645f7657dbf.min.js:1
    s main-chunk-97c63ce3b645f7657dbf.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> vendors~main-chunk-2cea29b8d9ab4a14c4e5.min.js:182832
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> main-chunk-97c63ce3b645f7657dbf.min.js:1
    t runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    d runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    c runtime~main-bundle-51db45a05b3507b254ab.min.js:1
    <anonymous> vendors~main-chunk-2cea29b8d9ab4a14c4e5.min.js:1


Expected results:
the first warning seems needs to be fixed to avoid the warning message
the second one seems working as expected, but still need confirmation

Additional info:

Comment 1 Samuel Padgett 2021-08-24 17:19:55 UTC
I think this is probably a regression from https://github.com/openshift/console/pull/9660. Assigning to Rohit to investigate.

Raising the severity since this is a runtime error.

Comment 3 Yadan Pei 2021-08-31 06:24:59 UTC
the issue no longer reproduce on 4.9.0-0.nightly-2021-08-30-192239, `Failed to get ImpersonateHeaders TypeError: i.a is undefined` error disappeared, moving to verified

Comment 6 errata-xmlrpc 2021-10-18 17:48:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.